import 'package:syncrow_web/pages/device_managment/factories/device_bloc_dependencies_factory.dart';
import 'package:syncrow_web/pages/device_managment/flush_mounted_presence_sensor/bloc/flush_mounted_presence_sensor_bloc.dart';

abstract final class FlushMountedPresenceSensorBlocFactory {
  const FlushMountedPresenceSensorBlocFactory._();

  static FlushMountedPresenceSensorBloc create({
    required String deviceId,
  }) {
    return FlushMountedPresenceSensorBloc(
      deviceId: deviceId,
      controlDeviceService: DeviceBlocDependenciesFactory.createControlDeviceService(),
      batchControlDevicesService: DeviceBlocDependenciesFactory.createBatchControlDevicesService(),
    );
  }
}
